/* Permiso para agregar item documento OT's */
declare @licencia1 as varchar(100)
set @licencia1 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion1 as int
declare @id_funcionalidad_padre1 as int
set @id_funcionalidad_padre1  = (select top 1 id from gui_funcionalidad where nombreComando = 'planear' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_ot' and active=1) and active=1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_2' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre1)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia1,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'planear','agregaIDocumentos_2',0,@id_funcionalidad_padre1,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES

set @id_permisoaccion1 = (select top 1 id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_2' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre1) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion1) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia1,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion1 
     from seg_perfil 
     end





/* Permiso para agregar item documento entradas */
declare @licencia2 as varchar(100)
set @licencia2 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion2 as int
declare @id_funcionalidad_padre2 as int  
set @id_funcionalidad_padre2  = (select top 1 id  from gui_funcionalidad where nombreControl = 'itemDocumento' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_entrada' and active=1) and active=1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_5' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre2)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia2,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'itemDocumento','agregaIDocumentos_5',0,@id_funcionalidad_padre2,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion2 =(select top 1 id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_5' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre2) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion2) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia2,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion2 
     from seg_perfil 
     end


/* Permiso para agregar item documento salida */
declare @licencia3 as varchar(100)
set @licencia3 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion3 as int
declare @id_funcionalidad_padre3 as int
set @id_funcionalidad_padre3  = (select top 1 id  from gui_funcionalidad where nombreControl = 'itemDocumento' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_salida' and active=1) and active=1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_6' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre3)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia3,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'itemDocumento','agregaIDocumentos_6',0,@id_funcionalidad_padre3,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion3 =(select top 1 id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_6' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre3) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion3) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia3,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion3 
     from seg_perfil 
     end


/* Permiso para agregar item documento requisicion */
declare @licencia4 as varchar(100)
set @licencia4 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion4 as int
declare @id_funcionalidad_padre4 as int
set @id_funcionalidad_padre4  = (select top 1 id  from gui_funcionalidad where nombreControl = 'itemDocumento' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_requisicion' and active=1) and active=1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_3' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre4)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia4,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'itemDocumento','agregaIDocumentos_3',0,@id_funcionalidad_padre4,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion4 =(select top 1 id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_3' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre4) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion4) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia4,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion4
     from seg_perfil 
     end






/* Permiso para agregar item documento orden de compra */
declare @licencia5 as varchar(100)
set @licencia5 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion5 as int
declare @id_funcionalidad_padre5 as int
set @id_funcionalidad_padre5  = (select top 1 id  from gui_funcionalidad where nombreControl = 'itemDocumento' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_ordenCompra' and active=1) and active=1)
if not exists (select *from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_7' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre5)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia5,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'itemDocumento','agregaIDocumentos_7',0,@id_funcionalidad_padre5,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion5 =(select top 1 id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_7' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre5) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion5) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia5,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion5 
     from seg_perfil 
     end



/* Permiso para agregar item documento translado */
update gui_funcionalidad set id_tipoFuncionalidad=2 where nombreControl = 'itemDocumento' and active = 1 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_traslado' and active=1)
declare @licencia6 as varchar(100)
set @licencia6 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion6 as int
declare @id_funcionalidad_padre6 as int
set @id_funcionalidad_padre6  = (select id from gui_funcionalidad where nombreControl = 'itemDocumento' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_traslado' and active=1) and active=1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_8' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre6)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia6,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'itemDocumento','agregaIDocumentos_8',0,@id_funcionalidad_padre6,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion6 =(select top 1 id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_8' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre6) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion6) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia6,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion6
     from seg_perfil 
     end


/* Permiso para agregar item documento cotizacion */
declare @licencia7 as varchar(100)
set @licencia7 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion7 as int
declare @id_funcionalidad_padre7 as int
set @id_funcionalidad_padre7  = (select top 1 id  from gui_funcionalidad where nombreControl = 'itemDocumento' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_cotizacion' and active=1) and active=1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_4' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre7)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia7,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'itemDocumento','agregaIDocumentos_4',0,@id_funcionalidad_padre7,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion7 =(select id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_4' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre7) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion7) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia7,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion7 
     from seg_perfil 
     end


/* Permiso para agregar item documento alquiler */
declare @licencia8 as varchar(100)
set @licencia8=(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion8 as int
declare @id_funcionalidad_padre8 as int
set @id_funcionalidad_padre8  = (select id from gui_funcionalidad where nombreControl = 'itemDocumento' and funcionalidad like 'Tarifas' and id_tipoFuncionalidad = 2 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_alquiler' and active=1) and active = 1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_9' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre8)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia8,'01',1,1,getdate(),getdate(),1,'Agregar item documentos','','','','','','',0,'itemDocumento','agregaIDocumentos_9',0,@id_funcionalidad_padre8,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion8 =(select top 1 id from gui_funcionalidad  where nombreComando = 'agregaIDocumentos_9' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre8) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion8) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia8,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion8
     from seg_perfil 
     end



